from scipy.special import binom

def coeff_k1(n,p,alpha) :
    seuil = (1-alpha)/2
    k = 0
    proba = (1-p)**n
    proba_cumule = proba
    while proba_cumule <= seuil :
        k = k+1
        proba = binom(n,k)*p**k*(1-p)**(n-k)
        proba_cumule = proba_cumule + proba
    return k

def coeff_k2(n,p,alpha) :
    seuil = 1 - (1-alpha)/2
    k = 0
    proba = (1-p)**n
    proba_cumule = proba
    while proba_cumule < seuil:
        k = k+1
        proba = binom(n,k)*p**k*(1-p)**(n-k)
        proba_cumule = proba_cumule + proba
    return k

def intervalle(n,p,alpha) :
    a = coeff_k1(n,p,alpha)
    b = coeff_k2(n,p,alpha)
    return (a/n,b/n)


print(coeff_k1(150,0.4,0.99))
print(coeff_k2(150,0.4,0.99))
print(intervalle(150,0.4,0.99))