from scipy.special import binom

def coeff_k1(n,p) :
    k = 0
    proba = (1-p)**n
    proba_cumule = proba
    while proba_cumule <= 0.025:
        k = k+1
        proba = binom(n,k)*p**k*(1-p)**(n-k)
        proba_cumule = proba_cumule + proba
    return k

def coeff_k2(n,p) :
    k = 0
    proba = (1-p)**n
    proba_cumule = proba
    while proba_cumule < 0.975:
        k = k+1
        proba = binom(n,k)*p**k*(1-p)**(n-k)
        proba_cumule = proba_cumule + proba
    return k

def intervalle(n,p) :
    a = coeff_k1(n,p)
    b = coeff_k2(n,p)
    return (a/n,b/n)


print(coeff_k1(150,0.4))
print(coeff_k2(150,0.4))
print(intervalle(150,0.4))